## kdepim-runtime 20.08.1

=== debian/changelog ===
kdepim-runtime (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:52:32 +0100

kdepim-runtime (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Build dep libkpimkdav-dev -> libkf5dav-dev, in line with kdav
    changes.
  * New build depend on libkf5libkdepim-dev.
  * Update install files, and add breaks/replaces for files moved from
    src:libkf5libkdepim.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:20:04 +0100

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libboost-dev (>= 1.40.0-2),
               libboost-program-options-dev,
               libkf5akonadi-dev (>= 4:20.08.1~),
               libkf5akonadicalendar-dev (>= 4:20.08.1~),
               libkf5akonadicontact-dev (>= 4:20.08.1~),
               libkf5akonadimime-dev (>= 4:20.08.1~),
               libkf5akonadinotes-dev (>= 4:20.08.1~),
               libkf5akonadiserver-dev (>= 4:20.08.1~),
               libkf5alarmcalendar-dev (>= 4:20.08.1~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:20.08.1~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:20.08.1~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5dav-dev (>= 20.04.3~),
               libkf5identitymanagement-dev (>= 20.08.1~),
               libkf5imap-dev (>= 20.08.1~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:20.08.1~),
               libkf5mailtransport-dev (>= 20.08.1~),
               libkf5mbox-dev (>= 20.08.1~),
               libkf5mime-dev (>= 20.08.1~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:20.08.1~),
               libkf5pimtextedit-dev (>= 20.08.1~),
               libkf5syndication-dev (>= 18.11.80~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkolabxml-dev (>= 1.1),
               libkpimgapi-dev (>= 20.08.1~),
               libqca-qt5-2-dev,
               libqt5networkauth5-dev,
               libqt5texttospeech5-dev,
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webenginewidgets5 (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.4.0~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info (>= 0.30),
               xsltproc,
Standards-Version: 3.9.6
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime

Package: kdepim-runtime
Architecture: any
Depends: akonadi-server (>= 1.8),
         kio-ldap,
         kio-sieve,
         libsasl2-modules-kdexoauth2,
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: akonadi-kde,
          kdepimlibs-kio-plugins,
          kf5-kdepimlibs-kio-plugins,
          libkf5libkdepim-data (<< 4:20.08.0~),
          libkf5libkdepim-plugins (<< 4:20.08.0~),
          libmaildir4,
          ${kde-l10n:all},
Breaks: akonadi-kde,
        kdepimlibs-kio-plugins,
        kdepimlibs5 (<< 4:4.4),
        kf5-kdepimlibs-kio-plugins,
        libkf5libkdepim-data (<< 4:20.08.0~),
        libkf5libkdepim-plugins (<< 4:20.08.0~),
        libmaildir4,
        ${kde-l10n:all},
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

## kdepim-runtime 20.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.15.3")
set(KDEPIM_RUNTIME_VERSION_NUMBER ${PIM_VERSION})
project(kdepim-runtime VERSION ${KDEPIM_RUNTIME_VERSION_NUMBER})

if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()

############### KDEPIM-Runtime version ################
# KDEPIM_RUNTIME_VERSION
# Version scheme: "x.y.z build".
#
# x is the version number.
# y is the major release number.
# z is the minor release number.
#
# "x.y.z" follow the kdelibs version kdepim is released with.
#
# If "z" is 0, it the version is "x.y"
#
# KDEPIM_DEV_VERSION
# is empty for final versions. For development versions "build" is
# something like "pre", "", "alpha", "beta1", "beta2", "rc1", "rc2".
#
# Examples in chronological order:
#
#    3.0
#    3.0.1
#    3.1 
#    3.1 beta1
#    3.1 beta2
#    3.1 rc1
#    3.1
#    3.1.1
#    3.2 pre
#    3.2 

set(KDEPIM_DEV_VERSION)
set(RELEASE_SERVICE_VERSION "20.08.3")

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_RUNTIME_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

configure_file(kdepim-runtime-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)

set(KF5_MIN_VERSION "5.71.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})


include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)


set(QT_REQUIRED_VERSION "5.13.0")

set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
set(KDEPIMRUNTIME_LIB_SOVERSION "5")
set(AKONADI_VERSION "5.15.3")

set(IDENTITYMANAGEMENT_LIB_VERSION "5.15.3")
set(KMAILTRANSPORT_LIB_VERSION "5.15.3")
set(CALENDARUTILS_LIB_VERSION "5.15.3")
set(KDAV_LIB_VERSION "5.15.3")
set(KIMAP_LIB_VERSION "5.15.3")
set(KMBOX_LIB_VERSION "5.15.3")
set(AKONADICALENDAR_LIB_VERSION "5.15.3")
set(KONTACTINTERFACE_LIB_VERSION "5.15.3")
set(AKONADIKALARM_LIB_VERSION "5.15.3")
set(KMIME_LIB_VERSION "5.15.3")
set(XMLRPCCLIENT_LIB_VERSION "5.15.3")
set(AKONADIMIME_LIB_VERSION "5.15.3")
set(AKONADICONTACT_LIB_VERSION "5.15.3")
set(AKONADINOTE_LIB_VERSION "5.15.3")
set(PIMCOMMON_LIB_VERSION "5.15.3")
set(KGAPI_LIB_VERSION "5.15.3")
set(LIBKDEPIM_LIB_VERSION_LIB "5.15.3")
set(KLDAP_LIB_VERSION "5.15.3")

set( SharedMimeInfo_MINIMUM_VERSION "1.3" )
find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)

find_package(Sasl2)
set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)

find_package(Qca-qt5 2.3.0 CONFIG REQUIRED)
option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
# QT5 package
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED TextToSpeech Network Widgets Test XmlPatterns DBus WebEngineWidgets NetworkAuth)


# KF5 package
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5NotifyConfig ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WindowSystem ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5TextWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED) # for KPluralHandlingSpinBox
find_package(KF5Notifications ${KF5_MIN_VERSION} CONFIG REQUIRED) # pop3, ews
find_package(KF5DocTools ${KF5_MIN_VERSION} CONFIG REQUIRED) # pop3
find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KCMUtils ${KF5_MIN_VERSION} CONFIG REQUIRED)

# KdepimLibs package
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5DAV ${KDAV_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5AlarmCalendar ${AKONADIKALARM_LIB_VERSION} CONFIG)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${AKONADINOTE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimGAPI ${KGAPI_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)

option(KDEPIM_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)
option(NO_REGENERATE_MIME "Don't regenerate mime file (developer-only option)" FALSE )

#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
find_package(Xsltproc)
set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")
add_definitions(-DQT_NO_EMIT)

add_subdirectory(resources)
add_subdirectory(agents)
add_subdirectory(defaultsetup)
add_subdirectory(kioslave)
add_subdirectory(migration)
add_subdirectory(kcms)
add_subdirectory(doc)

## install the MIME type spec file for KDEPIM specific MIME types
install(FILES kdepim-mime.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
if (NOT NO_REGENERATE_MIME)
   update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
endif()   
ecm_qt_install_logging_categories(
        EXPORT KDEPIMRUNTIME
        FILE kdepim-runtime.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

feature_summary(WHAT ALL
                INCLUDE_QUIET_PACKAGES
                FATAL_ON_MISSING_REQUIRED_PACKAGES
)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== defaultsetup/CMakeLists.txt ===
configure_file(defaultaddressbook.desktop ${CMAKE_CURRENT_BINARY_DIR}/defaultaddressbook)
configure_file(defaultcalendar.desktop ${CMAKE_CURRENT_BINARY_DIR}/defaultcalendar)
configure_file(defaultnotebook.desktop ${CMAKE_CURRENT_BINARY_DIR}/defaultnotebook)
configure_file(birthdaycalendar.desktop ${CMAKE_CURRENT_BINARY_DIR}/birthdaycalendar)

install ( FILES ${CMAKE_CURRENT_BINARY_DIR}/defaultcalendar
                ${CMAKE_CURRENT_BINARY_DIR}/defaultaddressbook
                ${CMAKE_CURRENT_BINARY_DIR}/defaultnotebook
                ${CMAKE_CURRENT_BINARY_DIR}/birthdaycalendar
                DESTINATION ${KDE_INSTALL_DATADIR}/akonadi/firstrun )

=== migration/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


set(migrationshared_SRCS
  kmigratorbase.cpp
  infodialog.cpp
  entitytreecreatejob.cpp
  migratorbase.cpp
)

ecm_qt_declare_logging_category(migrationshared_SRCS
    HEADER migration_debug.h
    IDENTIFIER MIGRATION_LOG
    CATEGORY_NAME org.kde.pim.migration
    DESCRIPTION "migration (kdepim-runtime)"
    EXPORT KDEPIMRUNTIME
)

add_library(migrationshared STATIC ${migrationshared_SRCS})
target_link_libraries(migrationshared
    KF5::AkonadiCore
    KF5::ConfigCore
    KF5::I18n
    Qt5::Widgets
)


add_subdirectory(gid)
add_subdirectory(googlegroupware)

=== resources/CMakeLists.txt ===
# Libkolabxml
find_package(Libkolabxml 1.1 QUIET CONFIG)
set_package_properties(Libkolabxml PROPERTIES DESCRIPTION "Kolabxml" URL "http://mirror.kolabsys.com/pub/releases" TYPE OPTIONAL PURPOSE "The Kolab XML Format Schema Definitions Library is required to build the Kolab Groupware Resource")

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/shared/singlefileresource/
  ${CMAKE_CURRENT_BINARY_DIR}/shared/singlefileresource/
  ${CMAKE_CURRENT_SOURCE_DIR}/folderarchivesettings/
)


# resource tests
macro( akonadi_add_resourcetest _testname _script )
  if ( ${EXECUTABLE_OUTPUT_PATH} )
    set( _exepath ${EXECUTABLE_OUTPUT_PATH} )
  else ()
    set( _exepath ${kdepim-runtime_BINARY_DIR}/resourcetester )
  endif ()
  if (WIN32)
    set(_resourcetester ${_exepath}/resourcetester.bat)
  else ()
    set(_resourcetester ${_exepath}/resourcetester)
  endif ()
  if (UNIX)
    set(_resourcetester ${_resourcetester}.shell)
  endif ()
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${_script} ${CMAKE_CURRENT_BINARY_DIR}/${_script} COPYONLY)
  if (KDEPIM_RUN_ISOLATED_TESTS)
    add_test( NAME akonadi-mysql-db-${_testname} COMMAND akonaditest -c ${kdepim-runtime_SOURCE_DIR}/resourcetester/tests/unittestenv/config-mysql-db.xml ${_resourcetester} -c ${CMAKE_CURRENT_BINARY_DIR}/${_script} )
  endif ()
endmacro( akonadi_add_resourcetest )



add_subdirectory( akonotes )
if (TARGET KF5::AlarmCalendar)
    add_subdirectory( kalarm )
endif()
add_subdirectory( contacts )
add_subdirectory( dav )
add_subdirectory( ical )
add_subdirectory( imap )
if (Libkolabxml_FOUND)
    find_package(Boost REQUIRED COMPONENTS thread system)
    add_subdirectory( kolab )
endif()

#Disable it as it seems Facebook disabled the login and event API has been crippled
#add_subdirectory( facebook )
add_subdirectory( maildir )

add_subdirectory( openxchange )
add_subdirectory( pop3 )

add_subdirectory( google-groupware )

add_subdirectory( shared )
add_subdirectory( birthdays )
add_subdirectory( mixedmaildir )
add_subdirectory( mbox )
add_subdirectory( vcarddir )
add_subdirectory( icaldir )
add_subdirectory( vcard )
add_subdirectory( folderarchivesettings )
add_subdirectory( tomboynotes )
add_subdirectory( ews )

=== agents/migration/CMakeLists.txt ===

include_directories(
    ${CMAKE_SOURCE_DIR}/migration
    ${CMAKE_SOURCE_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_migration_agent\")

kde_enable_exceptions()

set(migrationagent_SRCS
    migrationagent.cpp
    migrationstatuswidget.cpp
    migrationexecutor.cpp
    migrationscheduler.cpp
    autotests/dummymigrator.cpp
)

add_executable(akonadi_migration_agent ${migrationagent_SRCS})

if( APPLE )
  set_target_properties(akonadi_migration_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_migration_agent PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.migrationagent")
  set_target_properties(akonadi_migration_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Migrationagent")
endif ()

target_link_libraries(akonadi_migration_agent
    gidmigration
    googlegroupwaremigration
    KF5::AkonadiCore
    KF5::AkonadiAgentBase
    KF5::Contacts
    KF5::WindowSystem
    KF5::JobWidgets
)

install(TARGETS akonadi_migration_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES migrationagent.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}//akonadi/agents")

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== agents/newmailnotifier/CMakeLists.txt ===

include_directories(${kdepim-runtime_BINARY_DIR})
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_newmailnotifier_agent\")


set(newmailnotifier_common_SRCS)

kconfig_add_kcfg_files(newmailnotifier_common_SRCS
    newmailnotifieragentsettings.kcfgc
  )

ecm_qt_declare_logging_category(newmailnotifier_common_SRCS HEADER newmailnotifier_debug.h IDENTIFIER NEWMAILNOTIFIER_LOG CATEGORY_NAME org.kde.pim.newmailnotifier
        DESCRIPTION "mailnotifier agent (kdepim-runtime)"
        OLD_CATEGORY_NAMES log_newmailnotifier
        EXPORT KDEPIMRUNTIME
    )


set(newmailnotifieragent_SRCS
  newmailnotifieragent.cpp
  specialnotifierjob.cpp
  newmailnotifiershowmessagejob.cpp
  ${newmailnotifier_common_SRCS}
)

qt5_add_dbus_adaptor(newmailnotifieragent_SRCS org.freedesktop.Akonadi.NewMailNotifier.xml newmailnotifieragent.h NewMailNotifierAgent)

add_executable( akonadi_newmailnotifier_agent ${newmailnotifieragent_SRCS})

target_link_libraries( akonadi_newmailnotifier_agent
  KF5::AkonadiCore
  KF5::Mime
  KF5::AkonadiMime
  KF5::AkonadiContact
  KF5::Codecs
  KF5::IdentityManagement
  KF5::AkonadiAgentBase
  KF5::Notifications
  KF5::Service
  KF5::I18n
  Qt5::TextToSpeech
)

if( APPLE )
  set_target_properties( akonadi_newmailnotifier_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/Info.plist.template)
  set_target_properties( akonadi_newmailnotifier_agent PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.newmailnotifier")
  set_target_properties( akonadi_newmailnotifier_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE New Mail Notifier")
endif ()

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()
install(TARGETS akonadi_newmailnotifier_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


install(FILES newmailnotifieragent.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")
install(FILES akonadi_newmailnotifier_agent.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )

########################## Config plugin #################################

kcoreaddons_add_plugin(newmailnotifierconfig
    SOURCES newmailnotifiersettingswidget.cpp
            newmailnotifierselectcollectionwidget.cpp
            ${newmailnotifier_common_SRCS}
    JSON "newmailnotifierconfig.json"
    INSTALL_NAMESPACE "akonadi/config")
target_link_libraries(newmailnotifierconfig
    KF5::AkonadiCore
    KF5::AkonadiMime
    Qt5::Widgets
    KF5::NotifyConfig
    KF5::ConfigGui
    KF5::I18n
    KF5::XmlGui
    KF5::Mime
    KF5::Completion
)

=== kcms/ldap/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_ldap\")

set( kcm_ldap_SRCS
    kcmldap.cpp
    )

add_library(kcm_ldap MODULE ${kcm_ldap_SRCS})


target_link_libraries(kcm_ldap KF5::KCMUtils KF5::I18n KF5::Ldap)

kcoreaddons_desktop_to_json(kcm_ldap kcmldap.desktop DEFAULT_SERVICE_TYPE)

install(TARGETS kcm_ldap DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES kcmldap.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== kioslave/akonadi/CMakeLists.txt ===
set(kio_akonadi_SRCS akonadislave.cpp)
ecm_qt_declare_logging_category(kio_akonadi_SRCS HEADER akonadislave_debug.h IDENTIFIER AKONADISLAVE_LOG CATEGORY_NAME org.kde.pim.akonadislave
    DESCRIPTION "kioslave (akonadi)"
    OLD_CATEGORY_NAMES log_akonadislave
    EXPORT KDEPIMRUNTIME
    )


add_library(kio_akonadi MODULE ${kio_akonadi_SRCS})



target_link_libraries(kio_akonadi  
                      KF5::KIOCore 
                      KF5::AkonadiCore 
                      KF5::I18n
                      Qt5::DBus
                      Qt5::Widgets
                      Qt5::Network
                      )
set_target_properties(kio_akonadi PROPERTIES OUTPUT_NAME "akonadi")

install(TARGETS kio_akonadi DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio )


########### install files ###############

install( FILES akonadi.protocol  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== kioslave/pop3/CMakeLists.txt ===
########### next target ###############

set(kio_pop3_PART_SRCS pop3.cpp pop3_debug.cpp )

ecm_qt_declare_logging_category(kio_pop3_PART_SRCS HEADER pop3_debug.h IDENTIFIER POP3_LOG CATEGORY_NAME org.kde.pim.pop3
    DESCRIPTION "kioslave (kdepim-runtime)"
    OLD_CATEGORY_NAMES log_pop3resource
    EXPORT KDEPIMRUNTIME
    )



add_library(kio_pop3 MODULE ${kio_pop3_PART_SRCS})


target_link_libraries(kio_pop3 KF5::KIOCore KF5::I18n Qt5::Network Sasl2::Sasl2)
set_target_properties(kio_pop3 PROPERTIES OUTPUT_NAME "pop3")

install(TARGETS kio_pop3  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio/ )


########### install files ###############

install( FILES pop3.protocol pop3s.protocol  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== migration/gid/CMakeLists.txt ===
set(gid_SRCS
    gidmigrator.cpp
    gidmigrationjob.cpp
)

add_library(gidmigration STATIC ${gid_SRCS})
target_link_libraries(gidmigration
    migrationshared
    KF5::I18n
)

add_executable(gidmigrator main.cpp)
target_link_libraries(gidmigrator
    gidmigration
    KF5::AkonadiWidgets
    KF5::Mime
    )
install(TARGETS gidmigrator ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== resources/akonotes/CMakeLists.txt ===
include_directories(
    ${kdepim-runtime_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../maildir
    ${CMAKE_CURRENT_BINARY_DIR}/../maildir
    ${CMAKE_CURRENT_SOURCE_DIR}/../maildir/libmaildir
)


add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_akonotes_resource\")

set(akonotes_common_SRCS)
kconfig_add_kcfg_files(akonotes_common_SRCS ../maildir/settings.kcfgc)

################################# Resource #################################

set( akonotesresource_SRCS
  ../maildir/maildirresource.cpp
  ../maildir/retrieveitemsjob.cpp
  ../maildir/maildirresource_debug.cpp
  akonotesresource.cpp
  ${akonotes_common_SRCS}
)

kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/../maildir/maildirresource.kcfg org.kde.Akonadi.Maildir.Settings)

qt5_add_dbus_adaptor(akonotesresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Maildir.Settings.xml settings.h Akonadi_Maildir_Resource::MaildirSettings maildirsettingsadaptor MaildirSettingsAdaptor
)

install( FILES akonotesresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents" )

add_executable(akonadi_akonotes_resource ${akonotesresource_SRCS})

target_link_libraries(akonadi_akonotes_resource
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::Mime
    KF5::AkonadiAgentBase
    KF5::I18n
    maildir
    folderarchivesettings
)

install(TARGETS akonadi_akonotes_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

############################### Config plugin #################################

set(akonotesconfig_SRCS
    ../maildir/configwidget.cpp
    ../maildir/maildirconfig.cpp
    akonotesconfig.cpp
    ${akonotes_common_SRCS}
)
ki18n_wrap_ui(akonotesconfig_SRCS ../maildir/settings.ui)

kcoreaddons_add_plugin(akonotesconfig
    SOURCES ${akonotesconfig_SRCS}
    JSON "akonotesconfig.json"
    INSTALL_NAMESPACE akonadi/config
)

target_link_libraries(akonotesconfig
    KF5::AkonadiCore
    KF5::KIOWidgets
    KF5::ConfigWidgets
    KF5::I18n
    maildir
    folderarchivesettings
)

=== resources/google-groupware/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_google_resource\")

set(googleresource_SRCS
    googleresource.cpp
    googlesettings.cpp
    googlesettingsdialog.cpp
    defaultreminderattribute.cpp
    googleresourcestate.cpp
    generichandler.cpp
    calendarhandler.cpp
    taskhandler.cpp
    contacthandler.cpp)

ecm_qt_declare_logging_category(googleresource_SRCS
    HEADER googleresource_debug.h
    IDENTIFIER GOOGLE_LOG
    CATEGORY_NAME org.kde.pim.google
    DESCRIPTION "resource google (kdepim-runtime)"
    EXPORT KDEPIMRUNTIME)
ecm_qt_declare_logging_category(googleresource_SRCS
    HEADER googlecalendar_debug.h
    IDENTIFIER GOOGLE_CALENDAR_LOG
    CATEGORY_NAME org.kde.pim.google.calendar
    DESCRIPTION "resource google calendar (kdepim-runtime)"
    EXPORT KDEPIMRUNTIME)
ecm_qt_declare_logging_category(googleresource_SRCS
    HEADER googletasks_debug.h
    IDENTIFIER GOOGLE_TASKS_LOG
    CATEGORY_NAME org.kde.pim.google.tasks
    DESCRIPTION "resource google tasks (kdepim-runtime)"
    EXPORT KDEPIMRUNTIME)
ecm_qt_declare_logging_category(googleresource_SRCS
    HEADER googlecontacts_debug.h
    IDENTIFIER GOOGLE_CONTACTS_LOG
    CATEGORY_NAME org.kde.pim.google.contacts
    DESCRIPTION "resource google contacts (kdepim-runtime)"
    EXPORT KDEPIMRUNTIME)

ki18n_wrap_ui(googleresource_SRCS googlesettingsdialog.ui)

kconfig_add_kcfg_files(googleresource_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/settingsbase.kcfgc)

kcfg_generate_dbus_interface(
  ${CMAKE_CURRENT_SOURCE_DIR}/settingsbase.kcfg
  org.kde.Akonadi.Google.Settings
)

qt5_add_dbus_adaptor(googleresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Google.Settings.xml
  ${CMAKE_CURRENT_SOURCE_DIR}/googlesettings.h GoogleSettings
)

add_executable(akonadi_google_resource ${googleresource_SRCS})

if( APPLE )
  set_target_properties(akonadi_google_resource PROPERTIES
    MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../../Info.plist.template
  )
  set_target_properties(akonadi_google_resource PROPERTIES
    MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.google"
  )
  set_target_properties(akonadi_google_resource PROPERTIES
    MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Google Resource"
  )
endif()

target_link_libraries(akonadi_google_resource
  KF5::AkonadiCalendar
  KF5::AkonadiCore
  KF5::AkonadiAgentBase
  KF5::CalendarCore
  KF5::Contacts
  KF5::Wallet
  KF5::I18n
  KF5::WindowSystem
  KF5::Completion
  KF5::TextWidgets
  KPim::GAPICalendar
  KPim::GAPIContacts
  KPim::GAPICore
  KPim::GAPITasks
)

install(TARGETS akonadi_google_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(
  FILES googleresource.desktop
  DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents"
)

=== debian/changelog ===
kdepim-runtime (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Add kmailtransport-akonadi to Depends, as Exchange EWS resource
    needs it to be able to send emails (Closes: #973567)
  * Remove not existing version dependency from akonadi-server.
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:50:15 +0100

kdepim-runtime (4:20.08.2-4) unstable; urgency=medium

  * Add libsasl2-modules to Depends (Closes: #970127)

 -- Sandro Knauß <hefee@debian.org>  Mon, 26 Oct 2020 23:44:27 +0100

kdepim-runtime (4:20.08.2-3) unstable; urgency=medium

  * Team upload.
  * Break/replace also libkf5libkdepim-plugins < 20.08. (Closes: #972664)

 -- Pino Toscano <pino@debian.org>  Fri, 23 Oct 2020 14:39:37 +0200

kdepim-runtime (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:09:02 +0200

kdepim-runtime (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Remove backported patch.
  * Update patch hunks.
  * Update copyright file for 20.08.
  * Breaks/Replaces against libkf5libkdepim-data.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:53:10 +0200

kdepim-runtime (4:20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the gettext build dependency.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * Unregister the old /etc/xdg/kdepim-runtime.categories, and
    /etc/xdg/kdepim-runtime.renamecategories conffiles.
  * Backport upstream commit bd64ab29116aa7318fdee7f95878ff97580162f2 to make
    new POP3 connections encrypted by default (CVE-2020-15954); patch
    upstream_Fix-Bug-423426-POP3-setup-wizard-defaults-to-unencry.patch.
    (Closes: #966666)
  * Update lintian overrides.
  * Fix typo in the description of patch make_qtwebengine_optional.patch.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Aug 2020 20:35:34 +0200

kdepim-runtime (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:00:37 +0200

kdepim-runtime (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Update patch make_qtwebengine_optional.patch.
  * Wrap long lines in changelog entries: 4:16.04.1-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Enable hardening all.
  * Cleanup copyright file.
  * Remove unused license definitions for BSD_like_CMU-4-clause.
  * Remove COPYING.LIB listed in copyright file.

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:23:26 +0200

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libboost-dev,
               libboost-program-options-dev,
               libkf5akonadi-dev (>= 4:20.08.3~),
               libkf5akonadicalendar-dev (>= 4:20.08.3~),
               libkf5akonadicontact-dev (>= 4:20.08.3~),
               libkf5akonadimime-dev (>= 4:20.08.3~),
               libkf5akonadinotes-dev (>= 4:20.08.3~),
               libkf5alarmcalendar-dev (>= 4:20.08.3~),
               libkf5calendarcore-dev (>= 5:5.71.0~),
               libkf5calendarutils-dev (>= 4:20.08.3~),
               libkf5codecs-dev (>= 5.71.0~),
               libkf5config-dev (>= 5.71.0~),
               libkf5configwidgets-dev (>= 5.71.0~),
               libkf5contacts-dev (>= 5:5.71.0~),
               libkf5dav-dev (>= 1:5.15.3~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5holidays-dev (>= 1:5.71.0~),
               libkf5identitymanagement-dev (>= 20.08.3~),
               libkf5imap-dev (>= 20.08.3~),
               libkf5itemmodels-dev (>= 5.71.0~),
               libkf5kcmutils-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5ldap-dev (>= 20.08.3~),
               libkf5libkdepim-dev (>= 4:20.08.3~),
               libkf5mailtransport-dev (>= 20.08.3~),
               libkf5mbox-dev (>= 20.08.3~),
               libkf5mime-dev (>= 20.08.3~),
               libkf5notifications-dev (>= 5.71.0~),
               libkf5notifyconfig-dev (>= 5.71.0~),
               libkf5pimcommon-dev (>= 4:20.08.3~),
               libkf5textwidgets-dev (>= 5.71.0~),
               libkf5windowsystem-dev (>= 5.71.0~),
               libkolabxml-dev (>= 1.1~),
               libkpimgapi-dev (>= 20.08.3~) [amd64 arm64 armhf i386 mipsel],
               libqca-qt5-2-dev (>= 2.3.0~),
               libqt5networkauth5-dev (>= 5.13.0~),
               libqt5texttospeech5-dev,
               libqt5xmlpatterns5-dev (>= 5.13.0~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.13.0~),
               qtwebengine5-dev (>= 5.13.0~) [amd64 arm64 armhf i386 mipsel],
               shared-mime-info (>= 1.3~),
               xsltproc
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/pim/kdepim-runtime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime.git
Rules-Requires-Root: no

Package: kdepim-runtime
Architecture: any
Depends: akonadi-server,
         kio-ldap,
         libsasl2-modules,
         libsasl2-modules-kdexoauth2 [amd64 arm64 armhf i386 mipsel],
         kmailtransport-akonadi,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5libkdepim-data (<< 4:20.08~),
        libkf5libkdepim-plugins (<< 4:20.08~)
Replaces: libkf5libkdepim-data (<< 4:20.08~),
          libkf5libkdepim-plugins (<< 4:20.08~)
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

TESTS_HOME=$(CURDIR)/debian/tests.home

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	# TODO: talk to usptream about getting these not installed. they are not used.
	rm -rf debian/kdepim-runtime/usr/share/dbus-1/interfaces/
	# TODO: upstream SKIP_NAMELINK so we get no symlinks for private libs
	# make sure to skip the symlinks for sasl2 plugins
	find debian/kdepim-runtime \( -name '*.so' -type l \! -path '*/usr/lib/*/sasl2/*' \) -delete
	# At the end, remove empty directories
	find debian/kdepim-runtime -type d -empty -delete
override_dh_auto_test:
	# Disable dh_auto_test at build time (they are utterly broken)
	:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	mkdir -p "$(TESTS_HOME)"
#	HOME=$(TESTS_HOME) xvfb-run -a --server-args="-screen 0 1024x768x24" dbus-run-session debian/testsuite.xsession
#	rm -rf "$(TESTS_HOME)"
#endif

## kdepim-runtime 20.12.3

=== debian/changelog ===
kdepim-runtime (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:18:58 +0000

kdepim-runtime (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:53:12 +0000

kdepim-runtime (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:09:39 +0000

kdepim-runtime (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update build depends.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:26:14 +0000

kdepim-runtime (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:50:49 +0000

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libboost-dev (>= 1.40.0-2),
               libboost-program-options-dev,
               libkf5akonadi-dev (>= 4:20.12.3~),
               libkf5akonadicalendar-dev (>= 4:20.12.3~),
               libkf5akonadicontact-dev (>= 4:20.12.3~),
               libkf5akonadimime-dev (>= 4:20.12.3~),
               libkf5akonadinotes-dev (>= 4:20.12.3~),
               libkf5akonadiserver-dev (>= 4:20.12.3~),
               libkf5alarmcalendar-dev (>= 4:20.12.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:20.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:20.12.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5dav-dev (>= 20.04.3~),
               libkf5grantleetheme-dev (>= 20.12.3~),
               libkf5identitymanagement-dev (>= 20.12.3~),
               libkf5imap-dev (>= 20.12.3~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:20.12.3~),
               libkf5mailtransport-dev (>= 20.12.3~),
               libkf5mbox-dev (>= 20.12.3~),
               libkf5mime-dev (>= 20.12.3~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:20.12.3~),
               libkf5pimtextedit-dev (>= 20.12.3~),
               libkf5syndication-dev (>= 18.11.80~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkolabxml-dev (>= 1.1),
               libkpimgapi-dev (>= 20.12.3~),
               libqca-qt5-2-dev,
               libqt5networkauth5-dev,
               libqt5texttospeech5-dev,
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webenginewidgets5 (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.4.0~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info (>= 0.30),
               xsltproc,
Standards-Version: 3.9.6
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime

Package: kdepim-runtime
Architecture: any
Depends: akonadi-server (>= 1.8),
         kio-ldap,
         kio-sieve,
         libsasl2-modules-kdexoauth2,
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: akonadi-kde,
          kdepimlibs-kio-plugins,
          kf5-kdepimlibs-kio-plugins,
          libkf5libkdepim-data (<< 4:20.08.0~),
          libkf5libkdepim-plugins (<< 4:20.08.0~),
          libmaildir4,
          ${kde-l10n:all},
Breaks: akonadi-kde,
        kdepimlibs-kio-plugins,
        kdepimlibs5 (<< 4:4.4),
        kf5-kdepimlibs-kio-plugins,
        libkf5libkdepim-data (<< 4:20.08.0~),
        libkf5libkdepim-plugins (<< 4:20.08.0~),
        libmaildir4,
        ${kde-l10n:all},
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

## kdepim-runtime 21.08.1

=== debian/changelog ===
kdepim-runtime (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:32:50 +0100

kdepim-runtime (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:01:20 +0100

kdepim-runtime (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:54:26 +0100

kdepim-runtime (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:42:41 +0100

kdepim-runtime (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:42:22 +0100

kdepim-runtime (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:38:56 +0100

kdepim-runtime (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:05:32 +0100

kdepim-runtime (4:21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)

  [ José Manuel Santamaría Lema ]
  * Add qt5keychain-dev to build depends

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:34:21 +0100

=== debian/control ===
--- 
+++ 
@@ -13,40 +13,40 @@
                kross-dev (>= 5.31.0~),
                libboost-dev (>= 1.40.0-2),
                libboost-program-options-dev,
-               libkf5akonadi-dev (>= 4:20.12.3~),
-               libkf5akonadicalendar-dev (>= 4:20.12.3~),
-               libkf5akonadicontact-dev (>= 4:20.12.3~),
-               libkf5akonadimime-dev (>= 4:20.12.3~),
-               libkf5akonadinotes-dev (>= 4:20.12.3~),
-               libkf5akonadiserver-dev (>= 4:20.12.3~),
-               libkf5alarmcalendar-dev (>= 4:20.12.3~),
+               libkf5akonadi-dev (>= 4:21.08.1~),
+               libkf5akonadicalendar-dev (>= 4:21.08.1~),
+               libkf5akonadicontact-dev (>= 4:21.08.1~),
+               libkf5akonadimime-dev (>= 4:21.08.1~),
+               libkf5akonadinotes-dev (>= 4:21.08.1~),
+               libkf5akonadiserver-dev (>= 4:21.08.1~),
+               libkf5alarmcalendar-dev (>= 4:21.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarutils-dev (>= 4:20.12.3~),
+               libkf5calendarutils-dev (>= 4:21.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:20.12.3~),
+               libkf5contacteditor-dev (>= 4:21.08.1~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5dav-dev (>= 20.04.3~),
-               libkf5grantleetheme-dev (>= 20.12.3~),
-               libkf5identitymanagement-dev (>= 20.12.3~),
-               libkf5imap-dev (>= 20.12.3~),
+               libkf5grantleetheme-dev (>= 21.08.1~),
+               libkf5identitymanagement-dev (>= 21.08.1~),
+               libkf5imap-dev (>= 21.08.1~),
                libkf5itemmodels-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:20.12.3~),
-               libkf5mailtransport-dev (>= 20.12.3~),
-               libkf5mbox-dev (>= 20.12.3~),
-               libkf5mime-dev (>= 20.12.3~),
+               libkf5libkdepim-dev (>= 4:21.08.1~),
+               libkf5mailtransport-dev (>= 21.08.1~),
+               libkf5mbox-dev (>= 21.08.1~),
+               libkf5mime-dev (>= 21.08.1~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:20.12.3~),
-               libkf5pimtextedit-dev (>= 20.12.3~),
+               libkf5pimcommon-dev (>= 4:21.08.1~),
+               libkf5pimtextedit-dev (>= 21.08.1~),
                libkf5syndication-dev (>= 18.11.80~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkolabxml-dev (>= 1.1),
-               libkpimgapi-dev (>= 20.12.3~),
+               libkpimgapi-dev (>= 21.08.1~),
                libqca-qt5-2-dev,
                libqt5networkauth5-dev,
                libqt5texttospeech5-dev,
@@ -57,6 +57,7 @@
                libsasl2-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
+               qt5keychain-dev,
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
                qtpositioning5-dev (>= 5.6.1~),
